#_______________________________________________________________________________

# RPM specifications. Jean-Paul Le Fevre - September 2000
# $Id: wadersrc.spec,v 1.19 2001/06/19 19:20:23 lefevre Exp $
#_______________________________________________________________________________

Summary : A tool to peruse automatically and thoroughly a web site.
Name    : webwader
Vendor  : Fonteny
Version : 2.4
Release : 0
Prefix  : /usr/local
Source  : http://jeanpaul.lefevre.free.fr/pub/%{name}-%{version}.%{release}.tgz
Group   : Networking/WWW
Requires  : jdk >= 1.2
Copyright : GPL
Buildroot : %{_builddir}
Packager  : Jean-Paul Le Fvre <JP.LeFevre@free.fr>
# I don't want to screw up my noarch bin.rpm (byte code :) with this src.rpm
BuildArch : i686

%define package JVS
%define jvs_home /%{package}
%define tarball  %{name}-%{version}.%{release}.tgz

%description
WebWader is a freely available utility to browse a web site.
It can traverse automatically and thoroughly a tree of html pages,
displaying each of them in a window supplied by the application itself
or by an external browser like Netscape or Internet Explorer. It is
written in 100% pure Java and can be used on various OS.

%prep
echo Installation of %{name}

%setup -n JVS
export CLASSPATH=`/bin/pwd`/src
configure

%build
echo doing make disabled !

%install
echo doing make install disabled !

%post

%postun

%clean
rm -fr $RPM_BUILD_DIR/%{package}

%files
%defattr(644, root, root, 755)

%dir %{jvs_home}
%{jvs_home}/AUTHORS
%{jvs_home}/COPYING
%{jvs_home}/ChangeLog
%{jvs_home}/INSTALL
%{jvs_home}/Makefile
%{jvs_home}/Makefile.am
%{jvs_home}/Makefile.in
%{jvs_home}/NEWS
%{jvs_home}/README
%{jvs_home}/aclocal.m4
%{jvs_home}/configure
%{jvs_home}/configure.in

%dir %{jvs_home}/lib
%{jvs_home}/lib/README
%{jvs_home}/lib/Makefile
%{jvs_home}/lib/*.*

%dir %{jvs_home}/lib/images
%{jvs_home}/lib/images/Makefile
%{jvs_home}/lib/images/*.*

%dir %{jvs_home}/lib/xml
%{jvs_home}/lib/xml/*.*
%{jvs_home}/lib/xml/Makefile

%dir %{jvs_home}/include
%{jvs_home}/include/README
%{jvs_home}/include/Makefile
%{jvs_home}/include/*.*

%dir %{jvs_home}/adm
%{jvs_home}/adm/README
%{jvs_home}/adm/Makefile
%{jvs_home}/adm/*.*
%{jvs_home}/adm/mk*

%dir %{jvs_home}/bin
%{jvs_home}/bin/README
%{jvs_home}/bin/Makefile
%{jvs_home}/bin/*.*

%dir %{jvs_home}/doc
%{jvs_home}/doc/Makefile*

%dir %{jvs_home}/doc/api

%dir %{jvs_home}/src
%{jvs_home}/src/Makefile*

%dir %{jvs_home}/src/org
%{jvs_home}/src/org/Makefile*

%dir %{jvs_home}/src/org/ariane
%{jvs_home}/src/org/ariane/Makefile*

%dir %{jvs_home}/src/org/ariane/applet
%{jvs_home}/src/org/ariane/applet/Makefile*
%{jvs_home}/src/org/ariane/applet/*.java
%{jvs_home}/src/org/ariane/applet/*.html

%dir %{jvs_home}/src/org/ariane/exec
%{jvs_home}/src/org/ariane/exec/Makefile*
%{jvs_home}/src/org/ariane/exec/*.java
%{jvs_home}/src/org/ariane/exec/*.html

%dir %{jvs_home}/src/org/ariane/gui
%{jvs_home}/src/org/ariane/gui/Makefile*
%{jvs_home}/src/org/ariane/gui/*.java
%{jvs_home}/src/org/ariane/gui/*.html

%dir %{jvs_home}/src/org/ariane/net
%{jvs_home}/src/org/ariane/net/Makefile*
%{jvs_home}/src/org/ariane/net/*.java
%{jvs_home}/src/org/ariane/net/*.html

%dir %{jvs_home}/src/org/ariane/security
%{jvs_home}/src/org/ariane/security/Makefile*
%{jvs_home}/src/org/ariane/security/*.java
%{jvs_home}/src/org/ariane/security/*.html

%dir %{jvs_home}/src/org/ariane/stats
%{jvs_home}/src/org/ariane/stats/Makefile*
%{jvs_home}/src/org/ariane/stats/*.java
%{jvs_home}/src/org/ariane/stats/*.html

%dir %{jvs_home}/src/org/ariane/test
%{jvs_home}/src/org/ariane/test/Makefile*
%{jvs_home}/src/org/ariane/test/*.java
%{jvs_home}/src/org/ariane/test/*.html

%dir %{jvs_home}/src/org/ariane/time
%{jvs_home}/src/org/ariane/time/Makefile*
%{jvs_home}/src/org/ariane/time/*.java
%{jvs_home}/src/org/ariane/time/*.html

%dir %{jvs_home}/src/org/ariane/tools
%{jvs_home}/src/org/ariane/tools/Makefile*
%{jvs_home}/src/org/ariane/tools/*.java
%{jvs_home}/src/org/ariane/tools/*.html

%dir %{jvs_home}/src/org/demo
%{jvs_home}/src/org/demo/Makefile*

%dir %{jvs_home}/src/org/demo/webwader
%{jvs_home}/src/org/demo/webwader/Makefile*
%{jvs_home}/src/org/demo/webwader/*.java
%{jvs_home}/src/org/demo/webwader/*.html

%dir %{jvs_home}/src/org/demo/webwader/gui
%{jvs_home}/src/org/demo/webwader/gui/Makefile*
%{jvs_home}/src/org/demo/webwader/gui/*.java
%{jvs_home}/src/org/demo/webwader/gui/*.html

%dir %{jvs_home}/src/org/demo/webwader/rbi
%{jvs_home}/src/org/demo/webwader/rbi/Makefile*
%{jvs_home}/src/org/demo/webwader/rbi/*.java
%{jvs_home}/src/org/demo/webwader/rbi/*.html

%dir %{jvs_home}/src/org/demo/webwader/xmlrpc
%{jvs_home}/src/org/demo/webwader/xmlrpc/Makefile*
%{jvs_home}/src/org/demo/webwader/xmlrpc/*.java
%{jvs_home}/src/org/demo/webwader/xmlrpc/*.html

%dir %{jvs_home}/src/org/demo/webwader/etc
%{jvs_home}/src/org/demo/webwader/etc/README
%{jvs_home}/src/org/demo/webwader/etc/Makefile*
%{jvs_home}/src/org/demo/webwader/etc/*.c
%{jvs_home}/src/org/demo/webwader/etc/*.sh

%dir %{jvs_home}/src/org/demo/webwader/test

%changelog

* Mon Jun 25 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Communication with Mozilla on Windows implemented.
* Mon Jun 4 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Communication with XBrowser using Xml-RPC implemented.
* Fri Apr 6 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Updated for KDE 2.1.
* Fri Feb 17 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Opera on Linux added.
* Sun Feb 11 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Documentation updated. Bugs fixed. NeoPlanet added.
* Sun Jan 21 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Documentation updated. Package tested on various platform.
* Mon Jan 14 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Remote browser harness implemented.
- Mozilla, IExplorer managed.
* Mon Jan 8 2001 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Remote browser harness implemented.
* Fri Dec 29 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Connection to SkipStone on Unix implemented.
* Mon Dec 25 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Connection to Galeon on Unix implemented.
* Sun Dec 3 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Connection to Amaya on Unix implemented.
* Mon Nov 20 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Connection to Konqueror implemented.
* Sun Nov 5 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Frames management improved. First XML implementation ready.
* Fri Nov 2 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Renaming completed : WebWader replaces webOrama.
- Save settings implemented. One more help option.
* Fri Oct 13 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Color resources added. Temp files automatically removed on exit.
- Connection to Emacs implemented.
- Mini navigation board added.
* Sun Oct 8 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Display or not a document depending on its type.
- Executables moved from lib to bin.
* Mon Oct 2 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Bug fix for local files on Win32.
* Sun Sep 26 2000 Jean-Paul Le Fvre <JP.LeFevre@free.fr>
- Initial release of this source RPM.

#_______________________________________________________________________________
